﻿-- Author      : Mark
-- Create Date : 2/19/2008 3:14:59 PM

-- CONFIG FUNCTIONS
-- OnShow
function XBarConfig_OnShow()
	if (not XBar_Options) then
		this:Hide();
		return;
	end
	if (not XBar_Options[playerName]) then
		this:Hide();
		return;
	end

	--local vslider = CreateFrame("Slider", this:GetName().."SliderScale", ConfigBaranchor, "OptionsSliderTemplate")

	local vSlider = getglobal(this:GetName().."SliderScale");
	vSlider:ClearAllPoints();
	vSlider:SetPoint("TOPLEFT", "XBarConfigCheckButton1", "TOPLEFT", 0, -40);
	
	getglobal(this:GetName().."SliderScale"):SetValue( XBar_Options[playerName]["scale"] );
	getglobal(this:GetName().."CheckButton1"):SetChecked(XBar_Options[playerName]["horizontal"]);
	getglobal(this:GetName().."CheckButton2"):SetChecked((XBar_Options[playerName]["order"]=="az"));
	--now the X and Y positions.
	getglobal(this:GetName().."EditBoxXPos"):SetText( XBar_Options[playerName]["x"] );
	getglobal(this:GetName().."EditBoxYPos"):SetText( XBar_Options[playerName]["y"] );
end

function XBarConfigScale_OnClick()
	XBar_Options[playerName]["scale"] = this:GetValue();
	XBar_Scale();
end

function XBarConfigCheckBox_OnClick()
	if (XBar_Options[playerName]["horizontal"] == "true") then
		XBar_Options[playerName]["horizontal"] = "false";
	else
		XBar_Options[playerName]["horizontal"] = "true"
	end
	XBar_Order();
end

function XBarConfigCheckBoxOrder_OnClick()
	if (XBar_Options[playerName]["order"] == "az") then
		XBar_Options[playerName]["order"] = "za";
	else
		XBar_Options[playerName]["order"] = "az"
	end
	XBar_Order();
end

function XBarConfigEditBoxXPos_OnEnterPressed()
	XBar_Options[playerName]["x"] = this:GetText();
	XBar_Order();
end 

function XBarConfigEditBoxYPos_OnEnterPressed()
	XBar_Options[playerName]["y"] = this:GetText();
	XBar_Order();
end 

function XBarConfigEditBoxXPos_OnTextSet()
	XBar_Options[playerName]["x"] = this:GetText();
	XBar_Order();
end

function XBarConfigEditBoxYPos_OnTextSet()
	XBar_Options[playerName]["y"] = this:GetText();
	XBar_Order();
end

function XBarConfigCheckBoxHide_OnClick()
	if (XBar_Options[playerName]["hidebar"] == "true") then
		XBar_Options[playerName]["hidebar"] = "false";
	else
		XBar_Options[playerName]["hidebar"] = "true";
	end
	XBar_Hide();
end


function XBarConfigButton16x2_OnClick()
	XBar_Options[playerName]["cols"] = 16;
	XBar_Options[playerName]["rows"] = 2;
	XBar_Order();
end

function XBarConfigButton10x3_OnClick()
	XBar_Options[playerName]["cols"] = 10;
	XBar_Options[playerName]["rows"] = 3;
	XBar_Order();
end

function XBarConfigButton8x4_OnClick()
	XBar_Options[playerName]["cols"] = 8;
	XBar_Options[playerName]["rows"] = 4;
	XBar_Order();
end

function XBarConfigButton6x5_OnClick()
	XBar_Options[playerName]["cols"] = 6;
	XBar_Options[playerName]["rows"] = 4;
	XBar_Order();
end
